textures/pjw3quickie3/slickchrome
{   
 	cull none
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm nodamage
	qer_editorimage textures/base_trim/pewter_shiney.tga
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

//modified version of an original id shader
textures/pjw3quickie3/pjwflatwater
	{
	
		qer_editorimage textures/liquids/pool3d_5c2.tga
		q3map_globaltexture
		qer_trans .75

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		cull disable
	
		{ 
			map textures/liquids/pool3d_5c2.tga
			blendFunc GL_dst_color GL_zero
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .003
		}
	
		{
			map textures/liquids/pool3d_4b2.tga
			blendfunc add
			tcmod scale .125 .125	
			rgbgen identity
		}
	}

//modified version of id shader
textures/pjw3quickie3/pjw3quickie3skybox
{
	surfaceparm noimpact
	surfaceparm nolightmap
        q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/space1_bk.tga
	q3map_sun	1 1 1 100 -58 58
	q3map_surfacelight 400
	q3map_backsplash 0 256

        skyparms env/space1 - -
}

//modified version of an id shader
textures/pjw3quickie3/teslacoil_pjw_quickie
{
	cull none
	q3map_lightimage textures/sfx/tesla1.tga	
	qer_editorimage textures/sfx/tesla1.tga
	q3map_surfacelight 100
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/sfx/tesla1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcMod scroll -1 -1
	}
	{
		map textures/sfx/electricslime.tga
		blendfunc add
		rgbgen wave sin 0 .5 0 1
		tcmod scale .5 .5
		tcmod turb 0 .1 0 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}
//	{
//		map textures/sfx/cabletest2.tga
//		blendfunc blend
//	}	
}

textures/pjw3quickie3/pjwlauncharrow_quick
{
	qer_editorimage textures/sfx/launchpad_arrow.tga
	qer_trans .5
	surfaceparm trans

	{
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc add
		rgbGen identity
		tcMod scroll 0 2
	}
}

textures/pjw3quickie3/pjwstillarrow
{
	qer_editorimage textures/sfx/launchpad_arrow.tga
	qer_trans .5
	surfaceparm trans

	{
		map textures/sfx/launchpad_arrow.tga
		blendfunc add
		rgbGen identity
	}
}


